<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
	<title>CarbonPHP Documentation</title>
	<style type="text/css">
		* {
			margin: 0;
			padding: 0;
		}

		html {
			font-family: "Lucida Sans Unicode", "Lucida Grande";
			font-size: 14px;
		}

		body {
			background: #fff;
			color: #666;
		}

		h1 {
			font-size: 15px;
			font-weight: bold;
			margin: 0 0 5px 0;
		}

		h2 {
			font-size: 13px;
			font-weight: bold;
			margin: 5px 0 5px 0;
		}

		ol, ul {
			margin: 10px 0 10px 0;
			list-style-position: inside;
		}

		p {
			margin: 5px 0 5px 0;
		}

		.content {
			border: 1px dotted #444;
			margin: 10px;
			padding: 10px;
			text-align: justify;
			width: 700px;
		}

		.example {
			border: 1px solid #ccc;
			background: #eee;
			margin: 10px;
			padding: 10px;
			text-align: left;
		}
	</style>
</head>

<body>
	<div class="content">
		<h1>Field Meta Data</h1>

		<p>These are a set of methods that let you retrieve information about fields within a table.</p>
	</div>

	<div class="content">
		<h1>$this->db->list_fields()</h1>

		<p>This method returns an array containing the names of the fields in the specified table.  There are two ways
		in which you can call this method.</p>

		<ol>
			<li>
				<p>You can supply the table name and call it from the <b>$this->db</b> object.</p>

				<div class="example">
					$fields = $this->db->list_fields('some_table');<br />
					<br />
					foreach ($fields as $field)<br />
					&#123;<br />
					&nbsp;&nbsp;&nbsp;&nbsp;echo $field;<br />
					&#125;
				</div>
			</li>

			<li>
				<p>You can gather the field names associated with any query that you run.</p>

				<div class="example">
					$query = $this->db->query('SELECT * FROM `some_table`');<br />
					<br />
					foreach ($query->list_fields() as $field)<br />
					&#123;<br />
					&nbsp;&nbsp;&nbsp;&nbsp;echo $field;<br />
					&#125;
				</div>
			</li>
		</ol>
	</div>

	<div class="content">
		<h1>$this->db->field_exists()</h1>

		<p>This method returns whether a field in a table exists or not.</p>

		<div class="example">
			if ($this->db->field_exists('field_name', 'table_name'))<br />
			&#123;<br />
			&nbsp;&nbsp;&nbsp;&nbsp;// Execute some code...<br />
			&#125;
		</div>
	</div>

	<div class="content">
		<h1>$this->db->field_data()</h1>

		<p>This method returns an array of object containing the information for the specified field.  Sometimes
		it is helpful to gather informatin about field names.</p>

		<div class="example">
			$fields = $this->db->field_data('table_name');<br />
			<br />
			foreach ($fields as $field)<br />
			&#123;<br />
			&nbsp;&nbsp;&nbsp;&nbsp;echo $field->name;<br />
			&nbsp;&nbsp;&nbsp;&nbsp;echo $field->type;<br />
			&nbsp;&nbsp;&nbsp;&nbsp;echo $field->max_length;<br />
			&nbsp;&nbsp;&nbsp;&nbsp;echo $field->primary_key;<br />
			&#125;
		</div>

		<p>If you have run a query already you can use the result object instead of supplying a table name.</p>

		<div class="example">
			$query = $this->db->query('SQL QUERY');<br />
			$fields = $query->field_data();
		</div>

		<p>You can retrieve the following data about the fields.</p>

		<ul>
			<li><b>name</b> - the name of the column.</li>
			<li><b>max_length</b> - the maximum length of the column.</li>
			<li><b>primary_key</b> - returns 1 if the column is a primary key.</li>
			<li><b>type</b> - returns the data type of the column</li>
		</ul>
	</div>
</body>

</html>
